# Poco

# template < class C, class Base >

# class Instantiator

Library: Foundation
Package: Core
Header: Poco/Instantiator.h

## Description

A template class for the easy instantiation of instantiators.

For the Instantiator to work, the class of which instances are to be instantiated must have a no-argument constructor.

## Inheritance

Direct Base Classes: AbstractInstantiator < Base >

All Base Classes: AbstractInstantiator < Base >

## Member Summary

Member Functions: createInstance

## Constructors

### Instantiator

Instantiator();

Creates the Instantiator.

## Destructor

### ~Instantiator

virtual ~Instantiator();

Destroys the Instantiator.

## Member Functions

### createInstance

Base * createInstance() const;